summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/hicn
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/scripts/hicn')
-rw-r--r--jjb/scripts/hicn/build-extras.sh7
-rw-r--r--jjb/scripts/hicn/build.sh7
-rw-r--r--jjb/scripts/hicn/checkstyle.sh7
-rw-r--r--jjb/scripts/hicn/docs.sh18
4 files changed, 39 insertions, 0 deletions
diff --git a/jjb/scripts/hicn/build-extras.sh b/jjb/scripts/hicn/build-extras.sh
new file mode 100644
index 000000000..bcf913be0
--- /dev/null
+++ b/jjb/scripts/hicn/build-extras.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+# basic build script example
+set -euxo pipefail
+
+pushd scripts
+bash ./build-extras.sh
+popd
diff --git a/jjb/scripts/hicn/build.sh b/jjb/scripts/hicn/build.sh
new file mode 100644
index 000000000..e1d20a48e
--- /dev/null
+++ b/jjb/scripts/hicn/build.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+# basic build script example
+set -euxo pipefail
+
+pushd scripts
+bash ./build-packages.sh
+popd
diff --git a/jjb/scripts/hicn/checkstyle.sh b/jjb/scripts/hicn/checkstyle.sh
new file mode 100644
index 000000000..636590e7a
--- /dev/null
+++ b/jjb/scripts/hicn/checkstyle.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+if [ -f ./scripts/checkstyle.sh ];then
+ bash scripts/checkstyle.sh
+else
+ echo "Cannot find scripts/checkstyle.sh - skipping checkstyle"
+fi
diff --git a/jjb/scripts/hicn/docs.sh b/jjb/scripts/hicn/docs.sh
new file mode 100644
index 000000000..f44b93dd1
--- /dev/null
+++ b/jjb/scripts/hicn/docs.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -xe -o pipefail
+
+DOXYGEN_DOC_DIR="build-doxygen/docs/doxygen/html"
+DOC_DIR="docs/build/html"
+SITE_DIR="build/doc/deploy-site"
+
+echo "---> jjb/scripts/hicn/docs.sh"
+
+bash scripts/build-packages.sh sphinx
+bash scripts/build-packages.sh doxygen
+
+if [[ "${JOB_NAME}" == *merge* ]]; then
+ mkdir -p "${SITE_DIR}"/doxygen
+ mv -f "${DOC_DIR}" "${SITE_DIR}"
+ mv -f "${DOXYGEN_DOC_DIR}" "${SITE_DIR}"/doxygen
+ find "${SITE_DIR}" -type f '(' -name '*.md5' -o -name '*.dot' -o -name '*.map' ')' -delete
+fi